Page MenuHomePhabricator

phplint doesn't run on .inc files
Closed, DeclinedPublic

Description

The current parallel-lint command which is run in composer for Codesniffer needs to be modified to also run for .inc files - currently it seems to only check .php files.

Event Timeline

TasneemLo raised the priority of this task from to Needs Triage.
TasneemLo updated the task description. (Show Details)
TasneemLo added a subscriber: TasneemLo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 25 2015, 10:04 AM

Do we have .inc files in the repository? We can add -e php,inc to the command to make it include that file extension.

TasneemLo added a comment.EditedOct 26 2015, 2:35 AM

This is in relation to T92751 where I was using .inc files. I was unsure how to add .inc files to the composer test.

It may be a good idea to simply add it, even if currently it is not there in the repository.

TasneemLo set Security to None.Dec 20 2015, 9:15 AM
TasneemLo removed a subscriber: TasneemLo.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 20 2015, 9:15 AM

Change 261913 had a related patch set uploaded (by Paladox):
Run phplint against inc files too

https://gerrit.wikimedia.org/r/261913

Change 261913 abandoned by Hashar:
Run phplint against inc files too

Reason:
mediawiki/tools/codesniffer has no PHP files with .inc .php5 or .phtml. That has been borrowed from mediawiki/core and is of no use here.

https://gerrit.wikimedia.org/r/261913

Can this be closed?

Aklapper closed this task as Declined.Mar 1 2017, 1:32 PM

Declining as per T116524#1914090 - please reopen if I misunderstood :)